Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039670
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2018-11-22 09:122019-04-17 13:22
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision4d71d9e4d6d5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039670: view generation scalability issues

DescriptionView generation for standard application dictionary windows has several performance and scalability issues, which causes opening a window that is not yet cached in the browser to take up to several seconds and also to virtually get OOM if many users try to do the same concurrently.

More details in the project [1].

---
[1] http://wiki.openbravo.com/wiki/Projects:View_Generation_Improved_Scalability [^]
Steps To ReproduceOpen a view with many tabs and fields (ie. Sales Order) -> it takes 2-4 seconds
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038066 closedalostale Openbravo ERP incorrect view cache in browser for windows with server display logic 
related to defect 0028478 closedNaroaIriarte Openbravo ERP view generation: unneeded queries to grid config tables 
depends on defect 0031696 closedplatform Openbravo ERP unneeded queries to OBUIAPP_GC_System when generating views 
depends on defect 0039671 closedalostale Openbravo ERP API changes for improved view generation scalability 
has duplicate defect 0028477 closedalostale Openbravo ERP view generation: unneeded queries to trl tables 
related to design defect 0037999 closedplatform Openbravo ERP Performance issue opening a window with hundreds of fields distributed on different tabs. 
related to defect 0039681 closedalostale Modules incorrect window definition: Dynamic Task Report 
causes defect 0040633 closedalostale Openbravo ERP Generation of Discounts and Promotions windows fails under some circumstances 

-  Notes
(0108049)
hgbot (developer)
2018-11-22 09:35

Repository: erp/devel/pi
Changeset: 4d71d9e4d6d5c9be49d1a301da6dbeefeb5d9048
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Nov 22 09:28:59 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4d71d9e4d6d5c9be49d1a301da6dbeefeb5d9048 [^]

fixed issue 39670: view generation scalability issues

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ViewComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentWindowComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewParameterHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/StandardWindowComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelApplicationInitializer.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKComboUIDefinition.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/UIDefinition.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/base/TestConstants.java
M src-test/src/org/openbravo/test/views/ETagGeneration.java
M src-test/src/org/openbravo/test/views/GCSequenceNumberTests.java
M src-test/src/org/openbravo/test/views/GridConfigurationTest.java
M src-test/src/org/openbravo/test/views/SortingFilteringGridConfiguration.java
M src-test/src/org/openbravo/test/views/ViewGenerationWithDifferentConfigLevelTest.java
M src/org/openbravo/erpCommon/ad_forms/About.java
M src/org/openbravo/erpCommon/utility/Utility.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/window/JmxApplicationDictionaryCachedStructures.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/window/JmxApplicationDictionaryCachedStructuresMBean.java
A src-test/src/org/openbravo/test/views/ViewGeneration.java
---
(0108053)
hgbot (developer)
2018-11-22 11:18

Repository: erp/devel/pi
Changeset: ae10c525813c8f75acf314081b6b0b12a6f01182
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Nov 22 11:18:15 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ae10c525813c8f75acf314081b6b0b12a6f01182 [^]

related to issue 39670: restore KernelUtils public constructor

  It is required for subclasses (MobileCoreKernelUtils)

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
---
(0108119)
caristu (developer)
2018-11-27 08:50

Reviewed as part of the project. See[1].

[1] https://docs.google.com/spreadsheets/d/1dIvB_RpemUiASmWWqpf-_qbewDfNracYGGkWJKf-Fpo/edit#gid=0 [^]
(0108491)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108492)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-22 09:12 alostale New Issue
2018-11-22 09:12 alostale Assigned To => alostale
2018-11-22 09:12 alostale Modules => Core
2018-11-22 09:12 alostale Triggers an Emergency Pack => No
2018-11-22 09:12 alostale Review Assigned To => caristu
2018-11-22 09:12 alostale Relationship added related to 0037999
2018-11-22 09:13 alostale Relationship added related to 0038066
2018-11-22 09:13 alostale Relationship added depends on 0031696
2018-11-22 09:15 alostale Relationship added related to 0028478
2018-11-22 09:24 alostale Relationship added depends on 0039671
2018-11-22 09:25 alostale Relationship added has duplicate 0028477
2018-11-22 09:35 hgbot Checkin
2018-11-22 09:35 hgbot Note Added: 0108049
2018-11-22 09:35 hgbot Status new => resolved
2018-11-22 09:35 hgbot Resolution open => fixed
2018-11-22 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4d71d9e4d6d5c9be49d1a301da6dbeefeb5d9048 [^]
2018-11-22 11:18 hgbot Checkin
2018-11-22 11:18 hgbot Note Added: 0108053
2018-11-22 15:52 alostale Relationship added related to 0039681
2018-11-27 08:50 caristu Note Added: 0108119
2018-11-27 08:51 caristu Status resolved => closed
2018-11-27 08:51 caristu Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108491
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108492
2019-04-17 12:05 caristu Relationship added causes 0040633
2019-04-17 13:22 alostale Tag Attached: Performance


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker